//
//  ChatRouter.swift
//  VKExt
//
//  Created programmist_NA on 31.05.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class ChatRouter: ChatWireframeProtocol {
    
    weak var viewController: UIViewController?
    weak var baseViewController: UIViewController?
    
    class func createModule(_ viewController: DialogViewController) {
        // Change to get view from storyboard if not using progammatic UI
        let interactor = ChatInteractor()
        let router = ChatRouter()
        let presenter = ChatPresenter(interface: viewController, interactor: interactor, router: router)
        
        viewController.presenter = presenter
        interactor.presenter = presenter
        router.viewController = viewController
        presenter.interactor = interactor
        router.baseViewController = viewController
    }
}
